api/urls.py
from django.urls import path
from api import views


app_name ="api"
urlpatterns = [
    
]

core/urls.py
from django.urls import path
from core import views
from .models import *



app_name ="core"
urlpatterns = [
    ## Tecnicos
    path('list1/Tecincos/',views.List1.as_view(), name="list1"),
    path('detail/Tecnicos/<int:pk>/', views.DetailTecnico.as_view(), name= "detail1"),
    path('create/Tecnicos/',views.CreateTecnico.as_view(), name="create1"),
    path('update/Tecnicos/<int:pk>/', views.UpdateTecnicos.as_view(), name= "Update1"),
    path('delete/Tecnicos/<int:pk>/', views.DeleteTecnico.as_view(), name= "delete1"),
    ## Servicios
    path('list2/Servicios/',views.List2.as_view(), name="list2"),
    path('detail/Servicios/<int:pk>/', views.DetailServicio.as_view(), name= "detail2"),
    path('create/Servicios/',views.CreateServicio.as_view(), name="create2"),
    path('update/Servicios/<int:pk>/', views.UpdateServicios.as_view(), name= "Update2"),
    path('delete/Servicios/<int:pk>/', views.DeleteServicios.as_view(), name= "delete2"),
    ## Maquinas
    path('list3/Maquinas/',views.List3.as_view(), name="list3"),
    path('detail/Maquinas/<str:pk>/', views.DetailMaquinas.as_view(), name="detail3"),
    path('create/Maquinas/',views.CreateMaquina.as_view(), name="create3"),
    path('Update/Maquinas/<str:pk>/', views.UpdateMaquina.as_view(), name="Update3"),
    path('Delete/Maquinas/<str:pk>/', views.DeleteMaquina.as_view(), name="Delete3"),
]

principal/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/', include("api.urls")),
    path('core/', include("core.urls")),
    path('', include("home.urls")),
]

core/models.py
from django.db import models

from django.contrib.auth.models import User

# Create your models here.

class Tecnico(models.Model):
    Numero = models.IntegerField(primary_key=True, unique=True)
    NomPila = models.CharField(max_length=30, null=False)
    PrimApell = models.CharField(max_length=30, null=False)
    SegApell = models.CharField(max_length=30, blank=True)
    NumTel = models.CharField(max_length=15, null=False)
    Correo = models.CharField(max_length=60, blank=True)
    Usuario = models.CharField(max_length=60, blank=True)
    Contraseña = models.CharField(max_length=20, blank=True)

class Cliente(models.Model):
    Numero = models.IntegerField(primary_key=True, unique=True)
    Nombre = models.CharField(max_length=50, null=False)
    NumTel = models.CharField(max_length=15, null=False)
    ContNomPila = models.CharField(max_length=30, null=False)
    ContPrimApell = models.CharField(max_length=30, null=False)
    ContSegApell = models.CharField(max_length=30, blank=True)
    Usuario = models.CharField(max_length=60, blank=True)
    Contraseña = models.CharField(max_length=20, blank=True)

class TipoMaquinas(models.Model):
    Codigo = models.CharField(max_length=5, primary_key=True, unique=True)
    Nombre = models.CharField(max_length=30, null=False)
    Descripcion = models.CharField(max_length=100, null=False)

class Cambios(models.Model):
    Codigo = models.CharField(max_length=5, primary_key=True, unique=True)
    Descripcion = models.CharField(max_length=100, null=False)

class Marcas(models.Model):
    Codigo = models.CharField(max_length=5, primary_key=True, unique=True)
    Nombre = models.CharField(max_length=30, null=False)

class Modelos(models.Model):
    Codigo = models.CharField(max_length=5, primary_key=True, unique=True)
    Nombre = models.CharField(max_length=30, null=False)
    Año = models.IntegerField(null=True)
    Marca = models.ForeignKey(Marcas, on_delete=models.CASCADE)

class Maquinas(models.Model):
    Codigo = models.CharField(max_length=5, primary_key=True, unique=True)
    Descripcion = models.CharField(max_length=100, blank=True)
    Tipo_Maquina = models.ForeignKey(TipoMaquinas, on_delete=models.CASCADE)
    Marca = models.ForeignKey(Marcas, on_delete=models.CASCADE)
    Modelo = models.ForeignKey(Modelos, on_delete=models.CASCADE)

class Citas(models.Model):
    Numero = models.IntegerField(primary_key=True, unique=True)
    Fecha = models.DateField(null=False)
    Hora = models.CharField(max_length=10, null=False)
    Tecnico = models.ForeignKey(Tecnico, on_delete=models.CASCADE)
    Cliente = models.ForeignKey(Cliente, on_delete=models.CASCADE)

class Servicios(models.Model):
    Numero = models.IntegerField(primary_key=True, unique=True)
    Descripcion = models.CharField(max_length=200, null=False)
    Maquina = models.ForeignKey(Maquinas, on_delete=models.CASCADE)
    Cita = models.ForeignKey(Citas, on_delete=models.CASCADE)

class ServCambio(models.Model):
    Servicio = models.ForeignKey(Servicios, on_delete=models.CASCADE)
    Cambio = models.ForeignKey(Cambios, on_delete=models.CASCADE)
    Cantidad = models.IntegerField(null=False)

core/forms.py
from django import forms
from .models import *

from django import forms
from .models import Tecnico

## T E C N I C O S 

class TecnicoForm(forms.ModelForm):
    class Meta:
        model = Tecnico
        fields = "__all__"
        widgets = {
            "Numero": forms.TextInput(attrs={"class": "form-control", "placeholder": "Número de empleado"}),
            "NomPila": forms.TextInput(attrs={"class": "form-control", "placeholder": "Nombre pila del técnico"}),
            "PrimApell": forms.TextInput(attrs={"class": "form-control", "placeholder": "Primer apellido del técnico"}),
            "SegApell": forms.TextInput(attrs={"class": "form-control", "placeholder": "Segundo apellido del técnico"}),
            "NumTel": forms.TextInput(attrs={"class": "form-control", "placeholder": "Número telefónico del técnico"}),
            "Correo": forms.TextInput(attrs={"class": "form-control", "placeholder": "Correo electrónico del técnico"}),
            "Usuario": forms.TextInput(attrs={"class": "form-control", "placeholder": "Usuario del técnico"}),
            "Contraseña": forms.PasswordInput(attrs={"class": "form-control", "placeholder": "Contraseña del técnico"}),
        }

class UpdateTecnicoForm(forms.ModelForm):
    class Meta:
        model = Tecnico
        fields = "__all__"
        widgets = {
            
            "NumTel": forms.TextInput(attrs={"class": "form-control", "placeholder": "Número telefónico del técnico"}),
            "Correo": forms.TextInput(attrs={"class": "form-control", "placeholder": "Correo electrónico del técnico"}),
            "Usuario": forms.TextInput(attrs={"class": "form-control", "placeholder": "Usuario del técnico"}),
            "Contraseña": forms.PasswordInput(attrs={"class": "form-control", "placeholder": "Contraseña del técnico"}),
        }

## C L I E N T E S

class ClienteForm(forms.ModelForm):
    class Meta:
        model = Cliente
        fields = "__all__"
        widgets = {
            "Numero": forms.TextInput(attrs={"class": "form-control", "placeholder": "Número del cliente"}),
            "Nombre": forms.TextInput(attrs={"class": "form-control", "placeholder": "Nombre del cliente si es moral"}),
            "NumTel": forms.TextInput(attrs={"class": "form-control", "placeholder": "Número telefónico del cliente"}),
            "ContNomPila": forms.TextInput(attrs={"class": "form-control", "placeholder": "Nombre pila del contacto"}),
            "ContPrimApell": forms.TextInput(attrs={"class": "form-control", "placeholder": "Primer apellido del contacto"}),
            "ContSegApell": forms.TextInput(attrs={"class": "form-control", "placeholder": "Segundo apellido del contacto"}),
            "Usuario": forms.TextInput(attrs={"class": "form-control", "placeholder": "Usuario del contacto"}),
            "Contraseña": forms.PasswordInput(attrs={"class": "form-control", "placeholder": "Contraseña del contacto"}),
        }

## T I P O   D E   M A Q U I NA

class TipoMaquinasForm(forms.ModelForm):
    class Meta:
        model = TipoMaquinas
        fields = "__all__"
        widgets = {
            "Codigo": forms.TextInput(attrs={"class": "form-control", "placeholder": "Codigo del tipo de maquina"}),
            "Nombre": forms.TextInput(attrs={"class": "form-control", "placeholder": "Nombre del tipo de maquina"}),
            "Descipcion": forms.TextInput(attrs={"class": "form-control", "placeholder": "Deescipcion del tipo de maquina"}),
        }


## C A M B I O S

class CambiosForm(forms.ModelForm):
    class Meta:
        model = Cambios
        fields = "__all__"

## M A R C A S

class MarcasForm(forms.ModelForm):
    class Meta:
        model = Marcas
        fields = "__all__"
        widgets = {
            "Codigo": forms.TextInput(attrs={"class": "form-control", "placeholder": "Codigo de la marca"}),
            "Nombre": forms.TextInput(attrs={"class": "form-control", "placeholder": "Nombre de marca"}),
        }

## M O D E L O S

class ModelosForm(forms.ModelForm):
    class Meta:
        model = Modelos
        fields = "__all__"
        widgets = {
            "Codigo": forms.TextInput(attrs={"class": "form-control", "placeholder": "Codigo del modelo"}),
            "Nombre": forms.TextInput(attrs={"class": "form-control", "placeholder": "Nombre del modelo"}),
            "Año": forms.TextInput(attrs={"class": "form-control", "placeholder": "Año del modelo"}),
            "Marca": forms.TextInput(attrs={"class": "form-control", "placeholder": "Marca del modelo"}),
        }

## M A Q U I N A S

class MaquinasForm(forms.ModelForm):
    class Meta:
        model = Maquinas
        fields = "__all__"
        widgets = {
            "Codigo": forms.TextInput(attrs={"class": "form-control", "placeholder": "Codigo del la maquina"}),
            "Descipción": forms.TextInput(attrs={"class": "form-control", "placeholder": "Descripcion de la maquina"}),
            "Tipo_maquina": forms.TextInput(attrs={"class": "form-control", "placeholder": "Tipo de maquina"}),
            "Marca": forms.TextInput(attrs={"class": "form-control", "placeholder": "Marca de la maquina"}),
            "Modelo": forms.TextInput(attrs={"class": "form-control", "placeholder": "Modelo de la maquina"}),
        }

class UpdateMaquinasForm(forms.ModelForm):
    class Meta:
        model = Maquinas
        fields = "__all__"
        widgets = {
            "Codigo": forms.TextInput(attrs={"class": "form-control", "placeholder": "Codigo del la maquina"}),
            "Descipción": forms.TextInput(attrs={"class": "form-control", "placeholder": "Descripcion de la maquina"}),
            "Tipo_maquina": forms.TextInput(attrs={"class": "form-control", "placeholder": "Tipo de maquina"}),
            "Marca": forms.TextInput(attrs={"class": "form-control", "placeholder": "Marca de la maquina"}),
            "Modelo": forms.TextInput(attrs={"class": "form-control", "placeholder": "Modelo de la maquina"}),
        }

## C I T A S

class CitasForm(forms.ModelForm):
    class Meta:
        model = Citas
        fields = "__all__"
        widgets = {
            "Numero": forms.TextInput(attrs={"class": "form-control", "placeholder": "Numero de la cita"}),
            "Fecha": forms.TextInput(attrs={"class": "form-control", "placeholder": "Fecha de la cita"}),
            "Hora": forms.TextInput(attrs={"class": "form-control", "placeholder": "Hora de la cita"}),
            "Tecnico": forms.TextInput(attrs={"class": "form-control", "placeholder": "Tecnico de la cita"}),
            "Cliente": forms.TextInput(attrs={"class": "form-control", "placeholder": "Cliente de la cita"}),
        }

## S E R V I C I O S

class ServiciosForm(forms.ModelForm):
    class Meta:
        model = Servicios
        fields = "__all__"
        widgets = {
            "Numero": forms.TextInput(attrs={"class": "form-control", "placeholder": "Número Servicio"}),
            "Descripcion": forms.TextInput(attrs={"class": "form-control", "placeholder": "Descripcion de servicio"}),
            "Maquina": forms.TextInput(attrs={"class": "form-control", "placeholder": "Mquina a la que se le hizo servicio"}),
            "Cita": forms.TextInput(attrs={"class": "form-control", "placeholder": "Servicio de la cita que se hizo"}),
        }
    
class UpdateServiciosForm(forms.ModelForm):
    class Meta:
        model = Servicios
        fields = "__all__"
        widgets = {
            "Numero": forms.TextInput(attrs={"class": "form-control", "placeholder": "Número Servicio"}),
            "Descripcion": forms.TextInput(attrs={"class": "form-control", "placeholder": "Descripcion de servicio"}),
            "Maquina": forms.TextInput(attrs={"class": "form-control", "placeholder": "Mquina a la que se le hizo servicio"}),
            "Cita": forms.TextInput(attrs={"class": "form-control", "placeholder": "Servicio de la cita que se hizo"}),
        }

## S E R V I C I O S   C A M B I O S

class ServCambioForm(forms.ModelForm):
    class Meta:
        model = ServCambio
        fields = "__all__"

core/views.py
from django.shortcuts import render

from django.views import generic

from django.urls import reverse_lazy
from .models import *
from .forms import *


# Create your views here.

## T E C N I C O S

class List1(generic.View):
    template_name = "core/list1.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = Tecnico.objects.all()
        self.context = {
            "Tecnico": queryset
        }
        return render(request, self.template_name,self.context)


class DetailTecnico(generic.DetailView):
    template_name = "core/detail1.html"
    model = Tecnico

class CreateTecnico(generic.CreateView):
    template_name = "core/create1.html"
    model = Tecnico
    form_class = TecnicoForm
    success_url = reverse_lazy("core:list1")

class UpdateTecnicos(generic.UpdateView):
    template_name = "core/Update1.html"
    model = Tecnico
    form_class = UpdateTecnicoForm
    success_url = reverse_lazy("core:list1")

class DeleteTecnico(generic.DeleteView):
    template_name = "core/delete1.html"
    model = Tecnico
    success_url = reverse_lazy("core:list1")

## S E R V I C I O S

class List2(generic.View):
    template_name = "core/list2.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = Servicios.objects.all()
        self.context = {
            "Servicios": queryset
        }
        return render(request, self.template_name,self.context)
    
class DetailServicio(generic.DetailView):
    template_name = "core/detail2.html"
    model = Servicios

class CreateServicio(generic.CreateView):
    template_name = "core/create2.html"
    model = Servicios
    form_class = ServiciosForm
    success_url = reverse_lazy("core:list2")

class UpdateServicios(generic.UpdateView):
    template_name = "core/Update2.html"
    model = Servicios
    form_class = UpdateServiciosForm
    success_url = reverse_lazy("core:list2")

class DeleteServicios(generic.DeleteView):
    template_name = "core/delete2.html"
    model = Servicios
    success_url = reverse_lazy("core:list2")

##  M A Q U I N A S

class List3(generic.View):
    template_name = "core/list3.html"
    context = {}

    def get(self, request, *args, **kwargs):
        queryset = Maquinas.objects.all()
        self.context = {
            "Maquinas": queryset
        }
        return render(request, self.template_name,self.context)

class DetailMaquinas(generic.DetailView):
    template_name = "core/detail3.html"
    model = Maquinas

class CreateMaquina(generic.CreateView):
    template_name = "core/create3.html"
    model = Maquinas
    form_class = MaquinasForm
    success_url = reverse_lazy("core:list3")

class UpdateMaquina(generic.UpdateView):
    template_name = "core/Update3.html"
    model = Maquinas
    form_class = UpdateMaquinasForm
    success_url = reverse_lazy("core:list3")

class DeleteMaquina(generic.DeleteView):
    template_name = "core/delete3.html"
    model = Maquinas
    success_url = reverse_lazy("core:list3")

templates/core/Update1.html
{% extends "base/base.html" %}

{% block title %}
  Actualizar técnicos
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-primary">Actualizar técnicos</button>
        <a href="{% url 'core:list1' %}" class="btn btn-outline-warning">Cancelar</a>
    </form>
{% endblock content %}

templates/core/Update2.html
{% extends "base/base.html" %}

{% block title %}
  Actualizar Servicios
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-primary">Actualizar Servicios</button>
        <a href="{% url 'core:list2' %}" class="btn btn-outline-warning">Cancelar</a>
    </form>
{% endblock content %}

templates/core/Update3.html
{% extends "base/base.html" %}

{% block title %}
  Actualizar Maquina
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-primary">Actualizar Maquina</button>
        <a href="{% url 'core:list3' %}" class="btn btn-outline-warning">Cancelar</a>
    </form>
{% endblock content %}

templates/core/create1.html
{% extends "base/base.html" %}

{% block title %}
  Agregar Técnico
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-success">Agregar técnico</button>
        <a href="{% url 'core:list1' %}" class="btn btn-outline-warning">Cancelar</a>
    </form>
{% endblock content %}

templates/core/create2.html
{% extends "base/base.html" %}

{% block title %}
  Agregar Servicio
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-success">Agregar Servicio</button>
        <a href="{% url 'core:list2' %}" class="btn btn-outline-warning">Cancelar</a>
    </form>
{% endblock content %}

templates/core/create3.html
{% extends "base/base.html" %}

{% block title %}
  Agregar Maquina
{% endblock title %}

{% block content %}
    <form action="" method="post" class="form">
        {% csrf_token %}
        {{ form }}
        <button type="submit" class="btn btn-outline-success">Agregar Maquina</button>
        <a href="{% url 'core:list3' %}" class="btn btn-outline-warning">Cancelar</a>
    </form>
{% endblock content %}

templates/core/delete1.html
{% extends "base/base.html" %}

{% block title %}
  Borrar Técnicos
{% endblock title %}

{% block content %}
    <form action="" method="post">
        {% csrf_token %}
        ¿Estás seguro que quieres eliminar a {{ object }}?
        <button type="submit" class="btn btn-outline-danger">Borrar técnicos</button>
        <a href="{% url 'core:list1'%}" class="btn btn-outline-warning">Cancelar</a>
    </form>
{% endblock content %}

templates/core/delete2.html
{% extends "base/base.html" %}

{% block title %}
  Borrar Servicios
{% endblock title %}

{% block content %}
    <form action="" method="post">
        {% csrf_token %}
        ¿Estás seguro que quieres eliminar a {{ object }}?
        <button type="submit" class="btn btn-outline-danger">Borrar Servicios</button>
        <a href="{% url 'core:list2'%}" class="btn btn-outline-warning">Cancelar</a>
    </form>
{% endblock content %}

templates/core/delete3.html
{% extends "base/base.html" %}

{% block title %}
  Borrar Maquinas
{% endblock title %}

{% block content %}
    <form action="" method="post">
        {% csrf_token %}
        ¿Estás seguro que quieres eliminar a {{ object }}?
        <button type="submit" class="btn btn-outline-danger">Borrar Maquina</button>
        <a href="{% url 'core:list3'%}" class="btn btn-outline-warning">Cancelar</a>
    </form>
{% endblock content %}

templates/core/detail1.html
{% extends "base/base.html" %}

{% block title %}
  Detalles del Técnico
{% endblock title %}

{% block content %}
<div class="accordion" id="accordionExample">
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingOne">
        <br>
        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
            {{ object.NomPila }} {{ object.PrimApell }}
        </button>
      </h2>
      <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>Número de empleado: {{ object.Numero }}</strong> <br>
          Nombre completo: {{ object.NomPila }} {{ object.PrimApell }} {{ object.SegApell }} <br>
          Número telefónico: {{ object.NumTel }} <br>
          Correo electrónico: {{ object.Correo }} <br>
          Usuario: {{ object.Usuario }} <br>
          Contraseña: {{ object.Contraseña }} <br>
        </div>
      </div>
    </div>
</div>

  
  <a href="{% url 'core:list1' %}">back to list</a>
{% endblock content %}

templates/core/detail2.html
{% extends "base/base.html" %}

{% block title %}
  Detalles del Servicio
{% endblock title %}

{% block content %}
<div class="accordion" id="accordionExample">
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingOne">
        <br>
        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
            {{ servicios.Descripcion }} (Número de Servicio: {{ servicios.Numero }})
        </button>
      </h2>
      <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>Número de servicio: {{ servicios.Numero }}</strong> <br>
          Descripción: {{ servicios.Descripcion }} <br>
          Máquina: {{ servicios.Maquina }} <br>
          Cita: {{ servicios.Cita }} <br>
        </div>
      </div>
    </div>
</div>

<a href="{% url 'core:list2' %}">Volver a la lista</a>
{% endblock content %}

templates/core/detail3.html
{% extends "base/base.html" %}

{% block title %}
  Detalles de la Máquina
{% endblock title %}

{% block content %}
<div class="accordion" id="accordionExample">
    <div class="accordion-item">
      <h2 class="accordion-header" id="headingOne">
        <br>
        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
            {{ maquinas.Descripcion }} (Código: {{ maquinas.Codigo }})
        </button>
      </h2>
      <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionExample">
        <div class="accordion-body">
          <strong>Código de máquina: {{ maquinas.Codigo }}</strong> <br>
          Descripción: {{ maquinas.Descripcion }} <br>
          Tipo de Máquina: {{ maquinas.Tipo_Maquina }} <br>
          Marca: {{ maquinas.Marca }} <br>
          Modelo: {{ maquinas.Modelo }} <br>
        </div>
      </div>
    </div>
</div>

<a href="{% url 'core:list3' %}">Volver a la lista de máquinas</a>
{% endblock content %}

templates/core/list2.html
{% extends 'base/base.html' %}

{% block title %} Lista de Servicios {% endblock title %}

{% block content %}


    <a href="{% url 'core:create2' %}" class="btn btn-outline-success form-control">Añadir nuevo servicio!</a>
    <table class="table table-striped table-hover">
        <thead>
            <th>Número</th>
            <th>Descripción</th>
            <th>Maquina</th>
            <th>Cita</th>

        </thead>
        <tbody>
            {% for Servicios in Servicios %}
                <tr>
                    <td>{{ Servicios.Numero }}</td>
                    <td>{{ Servicios.Descripcion }}</td>
                    <td>{{ Servicios.Maquina }}</td>
                    <td>{{ Servicios.Cita }}</td>
                    <td><a href="{% url 'core:detail2' Servicios.Numero %}" class="btn btn-outline-info"> Detalles </a></td>
                    <td><a href="{% url 'core:Update2' Servicios.Numero %}" class="btn btn-outline-warning"> Actualizar</a></td>
                    <td><a href="{% url 'core:delete2' Servicios.Numero %}" class="btn btn-outline-danger">Eliminar</a></td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
   
{% endblock content %}

templates/core/list3.html
{% extends 'base/base.html' %}

{% block title %} Lista de Maquinas {% endblock title %}

{% block content %}


    <a href="{% url 'core:create3' %}" class="btn btn-outline-success form-control">Añadir nuevo Maquina!</a>
    <table class="table table-striped table-hover">
        <thead>
            <th>Código</th>
            <th>Descripción</th>
            <th>Tipo de maquina</th>
            <th>Marca</th>
            <th>Modelo</th>

        </thead>
        <tbody>
            {% for Maquinas in Maquinas %}
                <tr>
                    <td>{{ Maquinas.Codigo }}</td>
                    <td>{{ Maquinas.Descripcion }}</td>
                    <td>{{ Maquinas.Tipo_Maquina }}</td>
                    <td>{{ Maquinas.Marca }}</td>
                    <td>{{ Maquinas.Modelo }}</td>
                    <td><a href="{% url 'core:detail3' Maquinas.Codigo %}" class="btn btn-outline-info"> Detalles </a></td>
                    <td><a href="{% url 'core:Update3' Maquinas.Codigo %}" class="btn btn-outline-warning"> Actualizar</a></td>
                    <td><a href="{% url 'core:Delete3' Maquinas.Codigo %}" class="btn btn-outline-danger">Eliminar</a></td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
   
{% endblock content %}